> For the complete documentation index, see [llms.txt](https://docs.kpnthings.com/kpn-things/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kpnthings.com/kpn-things/building-blocks/data-processing/decoders-and-encoders/common-measurements-list.md).

# Common measurements list

In [ThingsML](/kpn-things/building-blocks/data-processing/thingsml-and-senml/thingsml.md) there is a measurement index list, allowing you to send only the index for a measurement instead of the full name and unit which is required in [SenML](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml.md).

If you don't use ThingsML, it is still best practice to use the common measurement names and units in your solution. With this you achieve higher compatibility with current and future data processing features in KPN Things.

### The list

| <p><strong>ThingsML</strong> <br><strong>measurement</strong><br><strong>index</strong></p> | **ID** (unique)      | **SenML Name**     | **SenML Unit** |
| ------------------------------------------------------------------------------------------- | -------------------- | ------------------ | -------------- |
| -24                                                                                         | TEMPERATURE          | temperature        | Cel            |
| -23                                                                                         | HUMIDITY             | humidity           | %RH            |
| -22                                                                                         | LATITUDE             | latitude           | lat            |
| -21                                                                                         | LONGITUDE            | longitude          | lon            |
| -20                                                                                         | ALTITUDE             | altitude           | m              |
| -19                                                                                         | POWER                | power              | W              |
| -18                                                                                         | PRESSURE             | pressure           | Pa             |
| -17                                                                                         | ANGLE                | angle              | rad            |
| -16                                                                                         | LENGTH               | length             | m              |
| -15                                                                                         | BREADTH              | breadth            | m              |
| -14                                                                                         | HEIGHT               | height             | m              |
| -13                                                                                         | WEIGHT               | weight             | kg             |
| -12                                                                                         | THICKNESS            | thickness          | m              |
| -11                                                                                         | DISTANCE             | distance           | m              |
| -10                                                                                         | AREA                 | area               | m2             |
| -9                                                                                          | VOLUME               | volume             | m3             |
| -8                                                                                          | VELOCITY             | velocity           | m/s            |
| -7                                                                                          | ELECTRIC\_CURRENT    | electricCurrent    | A              |
| -6                                                                                          | ELECTRIC\_POTENTIAL  | electricPotential  | V              |
| -5                                                                                          | ELECTRIC\_RESISTANCE | electricResistance | Ohm            |
| -4                                                                                          | ILLUMINANCE          | illuminance        | lx             |
| -3                                                                                          | ACCELERATION\_X      | accelerationX      | m/s2           |
| -2                                                                                          | ACCELERATION\_Y      | accelerationY      | m/s2           |
| -1                                                                                          | ACCELERATION\_Z      | accelerationZ      | m/s2           |
| 0                                                                                           | HEADING              | heading            | rad            |
| 1                                                                                           | CO\_CONCENTRATION    | COConcentration    | ppm            |
| 2                                                                                           | CO2\_CONCENTRATION   | CO2Concentration   | ppm            |
| 3                                                                                           | SOUND                | sound              | dB             |
| 4                                                                                           | FREQUENCY            | frequency          | Hz             |
| 5                                                                                           | BATTERY\_LEVEL       | batteryLevel       | %EL            |
| 6                                                                                           | BATTERY\_VOLTAGE     | batteryVoltage     | V              |
| 7                                                                                           | RADIUS               | radius             | m              |
| 8                                                                                           | BATTERY\_LEVEL\_LOW  | batteryLevelLow    | boolean        |
| 9                                                                                           | COMPASS\_X           | compassX           | T              |
| 10                                                                                          | COMPASS\_Y           | compassY           | T              |
| 11                                                                                          | COMPASS\_Z           | compassZ           | T              |
| 12                                                                                          | READ\_SWITCH         | readSwitch         | /              |
| 13                                                                                          | PRESENCE             | presence           | boolean        |
| 14                                                                                          | COUNTER              | counter            | /              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/data-processing/decoders-and-encoders/common-measurements-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
